< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package calculations
  Definition Classes
    frs102
- BalanceSheetCreditorsCalculator
- BalanceSheetDebtorsCalculator
- BalanceSheetTangibleAssetsCalculator
- GrossProfitAndLossCalculator
- IntangibleAssetsCalculator
- LoansToDirectorsCalculator
- NetCurrentAssetsLiabilitiesCalculator
- OperatingProfitOrLossCalculator
- ProfitOrLossBeforeTaxCalculator
- ProfitOrLossFinancialYearCalculator
- TotalAssetsLessCurrentLiabilitiesCalculator
- TotalCreditorsWithinOneYearCalculator
- TotalCurrentAssetsCalculator
- TotalFixedAssetsCalculator
- TotalNetAssetsLiabilitiesCalculator
- TotalShareholdersFundsCalculator

t

uk.gov.hmrc.ct.accounts.frs102.calculations

# LoansToDirectorsCalculator 

###

#### trait LoansToDirectorsCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
AC309A
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoansToDirectorsCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculateLoanBalanceAtEndOfPOA(ac306A: AC306A, ac307A: AC307A, ac308A: AC308A): AC309A
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
8.  implicit def convert(catoInt: CtOptionalInteger): Int
   Definition Classes
     CtTypeConverters
9.  implicit def convert(catoInt: CtInteger): Int
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped